Summary:        inprotect	
Name:           inprotect
Version:        0.80.2
Release:        2.art
URL:            http://inprotect.sourceforge.net/
Packager:	Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor:		Atomic Rocket Turtle
Source0:        inprotect-%{version}.tar.gz
Source1:	inprotect.conf
Source2:	inprotect.init
Source3: 	update.cron
Source4: 	inprotect.cron
Patch0:		config-path.patch
Group:          Applications/Internet
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
AutoReqProv: no
Requires: httpd php php-mysql mysql-server nmap Nessus mod_ssl php-gd



%description
inprotect

%prep
	
%setup 

%patch0 -p1

%build


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/httpd/conf.d/
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/init.d/
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/cron.d/
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/%{name}
%{__mkdir_p} %{buildroot}/usr/share/%{name}/
%{__mkdir_p} %{buildroot}/usr/bin/
%{__mkdir_p} %{buildroot}/usr/share/doc/%{name}/
%{__mkdir_p} %{buildroot}/usr/share/doc/%{name}/sql
%{__mkdir_p} %{buildroot}/var/log/inprotect

# install web conf
%{__install} -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/

# install the app conf
%{__install} -m 644 console/scripts/inprotect.cfg  %{buildroot}/%{_sysconfdir}/%{name}/inprotect.cfg


# install web components
%{__cp} -r console/html/* %{buildroot}/usr/share/%{name}/

# install binary components
%{__cp} -r scanner/*.pl %{buildroot}/usr/bin/
%{__install} -m 0755 console/scripts/sched.pl  %{buildroot}/usr/bin/


# install init
%{__install} -m 0755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/init.d/inprotect


# install cron
%{__install} -m 0644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/cron.d/update-plugins
%{__install} -m 0644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/cron.d/inprotect

# install the docs
%{__install} -m 0644 CHANGES %{buildroot}/usr/share/doc/%{name}/
%{__install} -m 0644 GPL_LICENSE %{buildroot}/usr/share/doc/%{name}/
%{__install} -m 0644 INSTALL %{buildroot}/usr/share/doc/%{name}/
%{__install} -m 0644 LICENSE %{buildroot}/usr/share/doc/%{name}/
%{__install} -m 0644 README %{buildroot}/usr/share/doc/%{name}/
%{__install} -m 0644 REV %{buildroot}/usr/share/doc/%{name}/
%{__install} -m 0644 TODO %{buildroot}/usr/share/doc/%{name}/
%{__install} -m 0644 UPGRADE %{buildroot}/usr/share/doc/%{name}/

# put sql in doc
%{__cp} -r console/sql/*  %{buildroot}/usr/share/doc/%{name}/sql/

# put installer in doc
%{__cp} install.sh  %{buildroot}/usr/share/doc/%{name}/


%clean
%{__rm} -rf %{buildroot}




%files
%defattr(-,root,root)
%dir /usr/share/%{name}
%dir /usr/share/doc/%{name}
%attr(755,apache,apache) %dir /var/log/inprotect
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/%{name}/inprotect.cfg 
%config(noreplace) %attr(644,root,root) /usr/share/%{name}/config.php
/etc/init.d/inprotect
/etc/httpd/conf.d/inprotect.conf
/etc/cron.d/*
/usr/bin/*
/usr/share/%{name}/*
/usr/share/doc/%{name}/*




%changelog
* Fri Dec 14 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.82.2
- first cut
